all:
	@echo "Help coming soon..."

init: cmd
	./cmd init

up:
	docker-compose up -d

down:
	docker-compose down

restart: cmd
	./cmd restart $(service)

php-shell: cmd
	./cmd exec php-fpm sh

php-stan: cmd
	./cmd exec php-fpm composer run-script phpstan

php-cs: cmd
	./cmd exec php-fpm composer run-script phpcs

php-cbf: cmd
	./cmd exec php-fpm composer run-script phpcbf

node-shell: cmd
	./cmd exec node sh

npm-update: cmd
	./cmd exec node npm update

npm-install: cmd
	./cmd exec node npm install

npm-dev: cmd
	./cmd exec node npm run dev

npm-watch: cmd
	./cmd exec node npm run watch-poll

eslint: cmd
	./cmd exec node npm run eslint

eslint-fix: cmd
	./cmd exec node npm run eslint -- --fix

upgrade: cmd
	./cmd upgrade

telescope-configure: cmd
	./cmd exec php-fpm php artisan telescope:install
	./cmd exec php-fpm php artisan migrate

telescope-publish: cmd
	./cmd exec php-fpm php artisan telescope:publish

horizon-configure: cmd
	./cmd exec php-fpm php artisan horizon:install
	./cmd exec php-fpm php artisan queue:failed-table
	./cmd exec php-fpm php artisan migrate

horizon-assets: cmd
	./cmd exec php-fpm php artisan horizon:assets

checks: php-stan php-cs eslint
	@echo "Running static analysis"
